Firefox 3.6 < 3.6.18 Multiple Vulnerabilities

This script is Copyright (C) 2011-2017 Tenable Network Security, Inc.


Synopsis :

The remote Windows host contains a web browser that is affected by
multiple vulnerabilities.

Description :

The installed version of Firefox 3.6 is earlier than 3.6.18. Such
versions are potentially affected by the following security issues :

- Multiple memory safety issues can lead to application
crashes and possibly remote code execution.
(CVE-2011-2374, CVE-2011-2376, CVE-2011-2364,
CVE-2011-2365)

- A use-after-free issue when viewing XUL documents with
scripts disabled could lead to code execution.
(CVE-2011-2373)

- A memory corruption issue due to multipart /
x-mixed-replace images could lead to memory corruption.
(CVE-2011-2377)

- When a JavaScript Array object has its length set to an
extremely large value, the iteration of array elements
that occurs when its reduceRight method is called could
result in code execution due to an invalid index value
being used. (CVE-2011-2371)

- Multiple dangling pointer vulnerabilities could lead to
code execution. (CVE-2011-0083, CVE-2011-2363,
CVE-2011-0085)

- An error in the way cookies are handled could lead to
information disclosure. (CVE-2011-2362)

See also :

http://www.nessus.org/u?5694f54a
https://www.mozilla.org/en-US/security/advisories/mfsa2011-19/
https://www.mozilla.org/en-US/security/advisories/mfsa2011-20/
https://www.mozilla.org/en-US/security/advisories/mfsa2011-21/
https://www.mozilla.org/en-US/security/advisories/mfsa2011-22/
https://www.mozilla.org/en-US/security/advisories/mfsa2011-23/
https://www.mozilla.org/en-US/security/advisories/mfsa2011-24/
http://www.zerodayinitiative.com/advisories/ZDI-11-223/
http://www.zerodayinitiative.com/advisories/ZDI-11-224/
http://www.zerodayinitiative.com/advisories/ZDI-11-225/

Solution :

Upgrade to Firefox 3.6.18 or later.

Risk factor :

High / CVSS Base Score : 9.3
(CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C)
CVSS Temporal Score : 7.3
(CVSS2#E:POC/RL:OF/RC:C)
Public Exploit Available : true

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now